<div id="dashboard-analytics" class="page-layout blank">

    <div class="content">

        <div class="left mr-lg-32">

            <div class="fuse-card auto-width p-16">

                <agm-map class="h-640 w-100-p"
                         [zoomControl]="config.mapGlobal.zoomControl"
                         [minZoom]="config.mapGlobal.minZoom"
                         [zoom]="config.mapGlobal.zoom"
                         [maxZoom]="config.mapGlobal.maxZoom"
                         [latitude]="latitude"
                         [longitude]="longitude"
                         [fullscreenControl]="config.mapGlobal.fullscreenControl"
                         [rotateControl]="config.mapGlobal.rotateControl"
                         [disableDefaultUI]="config.mapGlobal.disableDefaultUI"
                         [scaleControl]="config.mapGlobal.scaleControl"
                         [streetViewControl]="config.mapGlobal.streetViewControl"
                         [scrollwheel]="config.mapGlobal.scrollwheel"
                         [styles]="config.styles"
                         (mapClick)="markerDragEnd($event)"
                >
                    <agm-marker
                        *ngFor="let m of markers; let i = index"
                        [latitude]="m.latitude"
                        [longitude]="m.longitude"
                        [markerDraggable]="m.draggable"
                        (markerClick)="removeMarker(m.label, i, m.id)"
                        (dragEnd)="markerDragEnd($event)"
                    >

                        <agm-info-window>
                            <strong>{{m.label}}</strong>
                        </agm-info-window>

                    </agm-marker>

                    <agm-circle [latitude]="latitude + 0.3"
                                [longitude]="longitude"
                                [radius]="5000"
                                [fillColor]="'red'"
                                [circleDraggable]="true"
                                [editable]="true">
                    </agm-circle>
                </agm-map>


            </div>
            <!-- / Map -->

        </div>

        <div class="right">

            <div fxLayout="row wrap" fxLayout.gt-md="column">
                <div class="mb-48" [ngClass.lt-lg]="'mr-32'" [ngClass.xs]="'mr-0'">

                    <div class="pb-24 font-size-18 font-weight-300">
                        Save changes?
                        <button mat-button color="accent" (click)="save()">
                            Save
                            <mat-icon>add</mat-icon>
                        </button>
                    </div>

                    <div class="fuse-card">

                        <div class="p-16">
                            <div class="h1 font-weight-300">Addresses</div>
                        </div>

                        <div class="h-200">
                            <mat-table [dataSource]="dataSource" class="mat-elevation-z8">

                                <!--- Note that these columns can be defined in any order.
                                      The actual rendered columns are set as a property on the row definition" -->

                                <!-- Index Column -->
                                <ng-container matColumnDef="index">
                                    <mat-header-cell *matHeaderCellDef> N: </mat-header-cell>
                                    <mat-cell *matCellDef="let element; let i = index"> {{i+1}} </mat-cell>
                                </ng-container>

                                <!-- Address Column -->
                                <ng-container matColumnDef="label">
                                    <mat-header-cell *matHeaderCellDef> Address </mat-header-cell>
                                    <mat-cell *matCellDef="let element"> {{element.label}} </mat-cell>
                                </ng-container>

                                <!-- Latitude Column -->
                                <ng-container matColumnDef="latitude">
                                    <mat-header-cell *matHeaderCellDef> Latitude </mat-header-cell>
                                    <mat-cell *matCellDef="let element"> {{element.latitude}} </mat-cell>
                                </ng-container>

                                <!-- Longitude Column -->
                                <ng-container matColumnDef="longitude">
                                    <mat-header-cell *matHeaderCellDef> Longitude </mat-header-cell>
                                    <mat-cell *matCellDef="let element"> {{element.longitude}} </mat-cell>
                                </ng-container>

                                <!-- Action Column -->
                                <ng-container matColumnDef="action">
                                    <mat-header-cell *matHeaderCellDef> Action </mat-header-cell>
                                    <mat-cell *matCellDef="let element; let i = index">
                                        <button mat-button color="warn" (click)="removeMarker(element.label, i, element.id )"><mat-icon>delete</mat-icon></button>
                                    </mat-cell>
                                </ng-container>

                                <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                                <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
                            </mat-table>
                        </div>

                    </div>

                </div>
            </div>

        </div>

    </div>

</div>
